****MEDICIN DE LA POBREZA: MEJORAS METODOLGICAS
****PROGRAMA PARA CONSTRUIR LA CANASTA PARA LA MEDICIN DE LA POBREZA
****PROPUESTA DE RAVALLION
****FECHA: 02/10/2013
*ajuste de formato
*use "D:\pobreza-2013_new\bases\sumaria-2013.dta",clear 
*rename ao ao
*save, replace
***************.

clear all
set mem 3g
cd "D:\pobreza-2013_new\_Actualizacion de la pobreza\trabajo"
capture log using "Actualizacion de la pobreza.txt", t replace
set more off
****************************************************************************
*****************************************************************************
*POBLACIN DE REFERENCIA
*****************************************************************************
use "D:\pobreza-2013_new\bases\Deflactor2009-2010.dta", clear
mkmat con_u-lim, matrix(def) rownames(indice)
matrix list def
use "D:\pobreza-2013_new\bases\ipc_base_2009NH.dta", clear

gen anio=real(ao)
rename mes smes
gen mes=real(smes)
drop smes
drop if anio<2001
gen dpto=real(substr(ubigeo,1,2))

foreach n of varlist i00 i01 i02 i03 i04 i05 i06 i07 i08 {
  replace `n'=(`n'*ponderad)/100
}
drop if ubigeo =="220901"

collapse (sum) i00 i01 i02 i03 i04 i05 i06 i07 i08, by( anio mes dpto)

collapse (mean) i00 i01 i02 i03 i04 i05 i06 i07 i08, by(anio dpto)
sort anio dpto
save ipcV, replace

forvalue a=1(1)13 {
    preserve
    keep if anio-2000==`a'
	forvalue i=0(1)8{
	    rename i0`i' i0`i'_`a'
	}
    sort dpto
    drop anio
    save tempo_`a', replace
	restore
}
use tempo_1, clear
forvalue a=2(1)13 {
    sort dpto
    merge dpto using tempo_`a'
	tab _m
	drop if _m==2
	drop _m
}
mkmat dpto i00_1-i08_13, matrix(ipc)
matrix list ipc
sort dpto
save ipcH, replace
*****borrando archivos temporales
  forvalue a=2(1)13 { 
      erase tempo_`a'.dta
    }
*****
use "D:\pobreza-2013_new\bases\sumaria-2010-20_40.dta",clear
recode dpto(7 =15)
sort dpto
merge dpto using ipcH
tab _m
drop if _m==2
drop _m

***diseo muestral
set more off
svyset [w=facpob07], psu(conglome) strata(estrato)

***gastos deflactados
forvalue a=13(1)13 {
   forvalue i=0(1)8 {
      gen g0`i'r_pl`a'=0
   }
   gen g01DHr_pl`a'=0
   gen g01FHr_pl`a'=0
}

**********************************
******correccion para hallar la poblacion de referencia del ao actual**************

#delimit ;
forvalue a=13(1)13 { ;
   forvalue d=1(1)17{ ;
      replace g01DHr_pl`a'=(gru11hd + gru12hd1 + gru12hd2 + gru13hd1 + gru13hd2 + gru13hd3)/(12*def[1,`d']*mieperho*(i01_10/i01_`a')) 
		 if dominioA==`d' ;
         replace g01FHr_pl`a'=((g05hd + g05hd1 + g05hd2 + g05hd3 + g05hd4 + g05hd5 + g05hd6 + ig06hd) + (sg23 + sig24) + (gru14hd + gru14hd1 +
		 gru14hd2 + gru14hd3 + gru14hd4 + gru14hd5 + sg25 + sig26))/(12*def[1,`d']*mieperho*(i01_10/i01_`a')) 
         if dominioA==`d'  ;
         replace g02r_pl`a'=(gru21hd + gru22hd1 + gru22hd2 + gru23hd1 + gru23hd2 + gru23hd3 + gru24hd)/(12*def[1,`d']*mieperho*(i02_10/i02_`a'))
		if dominioA==`d';
         replace g03r_pl`a'=(gru31hd + gru32hd1 + gru32hd2 + gru33hd1 + gru33hd2 + gru33hd3 + gru34hd)/(12*def[1,`d']*mieperho*(i03_10/i03_`a'))
		 if dominioA==`d' ;
         replace g04r_pl`a'=(gru41hd + gru42hd1 + gru42hd2 + gru43hd1 + gru43hd2 + gru43hd3 + gru44hd)/(12*def[1,`d']*mieperho*(i04_10/i04_`a'))
		 if dominioA==`d' ;
         replace g05r_pl`a'=(gru51hd + gru52hd1 + gru52hd2 + gru53hd1 + gru53hd2 + gru53hd3 + gru54hd)/(12*def[1,`d']*mieperho*(i05_10/i05_`a'))
		 if dominioA==`d';
         replace g06r_pl`a'=(gru61hd + gru62hd1 + gru62hd2 + gru63hd1 + gru63hd2 + gru63hd3 + gru64hd + g07hd + ig08hd)/(12*def[1,`d']*mieperho*(i06_10/i06_`a')) 
		 if dominioA==`d' ;
         replace g07r_pl`a'=(gru71hd + gru72hd1 + gru72hd2 + gru73hd1 + gru73hd2 + gru73hd3 + gru74hd)/(12*def[1,`d']*mieperho*(i07_10/i07_`a')) 
		 if dominioA==`d' ;
         replace g08r_pl`a'=((gru81hd + gru82hd1 + gru82hd2 + gru83hd1 + gru83hd2 + gru83hd3 + gru84hd) + (sg42 + sg421 + sg422 + sg423 
		 + sg42d + sg42d1 + sg42d2 + sg42d3))/(12*def[1,`d']*mieperho*(i08_10/i08_`a')) 
		 if dominioA==`d' ;
   } ;
         replace g01r_pl`a'= g01DHr_pl`a'+ g01FHr_pl`a' ;
         replace g00r_pl`a'=g01r_pl`a' + g02r_pl`a' + g03r_pl`a' + g04r_pl`a' + g05r_pl`a' + g06r_pl`a' + g07r_pl`a' + g08r_pl`a' ;
 
         label var g00r_pl`a' "Gasto percpita mensual(precios de Lima)-200`a'" ;
         label var g01r_pl`a' "Alimentos(precios de Lima)-200`a'" ;
         label var g02r_pl`a' "Vestido y calzado(precios de Lima)-200`a'" ;
         label var g03r_pl`a' "Alquiler de vivienda y combustible(precios de Lima)-200`a'" ;
         label var g04r_pl`a' "Muebles y enseres(precios de Lima)-200`a'" ;
         label var g05r_pl`a' "Cuidados de la salud(precios de Lima)-200`a'" ;
         label var g06r_pl`a' "Transporte y comunicaciones(precios de Lima)-200`a'" ;
         label var g07r_pl`a' "Esparcimiento diversin y cultura(precios de Lima)-200`a'" ;
         label var g08r_pl`a' "Otros gastos(precios de Lima)-200`a'" ;
         label var g01DHr_pl`a' "Alimentos dentro del hogar(precios de Lima)-200`a'" ;
         label var g01FHr_pl`a' "Alimentos fuera del hogar(precios de Lima)-200`a'" ;
} ;
#delimit cr 

******************************************


***hallando la poblacin de referencian el mnimo y mximo para el 2010
  sum  g00_pl if percent_Ld>=20 & percent_Ld<=40
  matrix A10=(round(r(min),.0001), round(r(max),.0001))
  matrix list A10
	

	**********************
  sum g00r_pl13 if percent_Ld>=20 & percent_Ld<=40
  matrix A13=(round(r(min),.0001), round(r(max),.0001)) 
 
  matrix A=A10\A13
  matrix drop A10 A13
  matrix list A

  ***hallando ndice de precios no alimentario
 set more off
 svyset [w=facpob07], psu(conglome) strata(estrato)

 forvalue d=1(1)7{
    svy: mean g00_pl g01_pl g02_pl g03_pl g04_pl g05_pl g06_pl g07_pl g08_pl if dominio2==`d' & percent_Ld>=20 & percent_Ld<=40
    matrix GP`d'=e(b)
    matrix EG`d'=GP`d'/GP`d'[1,1]
 }
    svy: mean g00_pl g01_pl g02_pl g03_pl g04_pl g05_pl g06_pl g07_pl g08_pl if percent_Ld>=20 & percent_Ld<=40
    matrix GP0=e(b)
    matrix EG0=GP0/GP0[1,1]
   matrix list GP0
 *****Coeficiente de Engel y coeficientes para construir indice no alimentario de la pob de referencia
  matrix EG20_40=EG0\EG1\EG2\EG3\EG4\EG5\EG6\EG7
  matrix drop GP1 GP2 GP3 GP4 GP5 GP6 GP7 EG1 EG2 EG3 EG4 EG5 EG6 EG7
  matrix list EG20_40		 

*****************************************************************************************************
***generando ipcali e ipcnoali en la base completa 2001-2010
*****************************************************************************************************

use "D:\pobreza-2013_new\bases\sumaria-2010-20_40.dta",clear 
drop VAR_POBREZA- pobrext120_40
  append using "D:\pobreza-2013_new\bases\sumaria-2013.dta"
***generando gastos deflactados a precios de lima y reales
gen anio=real(ao)

***factor de poblacin
gen facpob07=round(factor07*mieperho,1)

***generando dpto
gen dpto=real(substr(ubigeo,1,2))
replace dpto=15 if dpto==7
***area
gen     area=1 if estrato>0 & estrato <=5
replace area=2 if estrato>=6 & estrato <=8
*label define area 1 urbano 2 rural 
label val area area

gen     region=1 if (dominio>=1 & dominio<=3) | (dominio==8)
replace region=2 if dominio>=4 & dominio<=6
replace region=3 if dominio==7 

*label val dominio2
gen     dominio2=1 if dominio>=1 & dominio<=3 & area==1
replace dominio2=2 if dominio>=1 & dominio<=3 & area==2
replace dominio2=3 if dominio>=4 & dominio<=6 & area==1
replace dominio2=4 if dominio>=4 & dominio<=6 & area==2
replace dominio2=5 if dominio==7 & area==1
replace dominio2=6 if dominio==7 & area==2
replace dominio2=7 if dominio==8
label define dominio2 1 costa_urb 2 costa_rur 3 sierra_urb 4 sierra_rur 5 selva_urb 6 selva_rur 7 lima_met

gen     dominioA=1 if dominio==1 & area==1
replace dominioA=2 if dominio==1 & area==2
replace dominioA=3 if dominio==2 & area==1
replace dominioA=4 if dominio==2 & area==2
replace dominioA=5 if dominio==3 & area==1
replace dominioA=6 if dominio==3 & area==2
replace dominioA=7 if dominio==4 & area==1
replace dominioA=8 if dominio==4 & area==2
replace dominioA=9 if dominio==5 & area==1
replace dominioA=10 if dominio==5 & area==2
replace dominioA=11 if dominio==6 & area==1
replace dominioA=12 if dominio==6 & area==2
replace dominioA=13 if dominio==7 & area==1
replace dominioA=14 if dominio==7 & area==2
replace dominioA=15 if dominio==7 & (dpto==16 | dpto==17 | dpto==25) & area==1
replace dominioA=16 if dominio==7 & (dpto==16 | dpto==17 | dpto==25) & area==2
replace dominioA=17 if dominio==8 & area==1
replace dominioA=17 if dominio==8 & area==2

*label val dominioA dominio3
label var dominioA "dominios segun la muestra definicion regional por distrito"
local i=1
 local nam "costa_norte_urb costa_norte_rur costa_centro_urb costa_centro_rur costa_sur_urb costa_sur_rur sierra_norte_urb sierra_norte_rur sierra_centro_urb sierra_centro_rur sierra_sur_urb sierra_sur_rur selva_alta_urb selva_alta_rur selva_baja_urb selva_baja_rur Lima_metrop"
 foreach n of local nam {
    if `i'<=17 {
      label define dominioA `i' "`n'", modify
 }
   local i=`i'+1
}
***provincia
gen     provincia=1 if dominio2==7
replace provincia=2 if dominio2!=7 & area==1
replace provincia=3 if area==2
label define provincia 1 Lima_met 2 resto_urb 3 rural
label val provincia provincia

gen IPC_TODOS=.
sort anio dpto
merge anio dpto using ipcV
tab _m
drop if _m==2
drop _m

***gastos deflactados
gen GASTOS_REALES=.
 forvalue i=0(1)8 {
    gen g0`i'_pl=0
   }
   gen g01DH_pl=0
   gen g01FH_pl=0

   recode ia01hd- gashog1d(.=0)

   *para el aon 2013 los gastos es de acuerdo al periodo
#delimit ;
set more off ;
;
 forvalue d=1(1)17{ ;
    replace g01DH_pl=(gru11hd + gru12hd1 + gru12hd2 + gru13hd1 + gru13hd2 + gru13hd3)/(12*def[1,`d']*mieperho) if dominioA==`d'  & anio== 2013;
    replace g01FH_pl=((g05hd + g05hd1 + g05hd2 + g05hd3 + g05hd4 + g05hd5 + g05hd6 + ig06hd) + (sg23 + sig24) + (gru14hd + gru14hd1 +
	gru14hd2 + gru14hd3 + gru14hd4 + gru14hd5 + sg25 + sig26))/(12*def[1,`d']*mieperho) if dominioA==`d'  & anio== 2013;
    replace g02_pl=(gru21hd + gru22hd1 + gru22hd2 + gru23hd1 + gru23hd2 + gru23hd3 + gru24hd)/(12*def[1,`d']*mieperho) if dominioA==`d' & anio== 2013 ;
    replace g03_pl=(gru31hd + gru32hd1 + gru32hd2 + gru33hd1 + gru33hd2 + gru33hd3 + gru34hd)/(12*def[1,`d']*mieperho) if dominioA==`d'  & anio== 2013;
    replace g04_pl=(gru41hd + gru42hd1 + gru42hd2 + gru43hd1 + gru43hd2 + gru43hd3 + gru44hd)/(12*def[1,`d']*mieperho) if dominioA==`d'  & anio== 2013;
    replace g05_pl=(gru51hd + gru52hd1 + gru52hd2 + gru53hd1 + gru53hd2 + gru53hd3 + gru54hd)/(12*def[1,`d']*mieperho) if dominioA==`d'  & anio== 2013;
    replace g06_pl=(gru61hd + gru62hd1 + gru62hd2 + gru63hd1 + gru63hd2 + gru63hd3 + gru64hd + g07hd + ig08hd)/(12*def[1,`d']*mieperho) 
	if dominioA==`d'  & anio== 2013;
    replace g07_pl=(gru71hd + gru72hd1 + gru72hd2 + gru73hd1 + gru73hd2 + gru73hd3 + gru74hd)/(12*def[1,`d']*mieperho) if dominioA==`d'  & anio== 2013;
    replace g08_pl=((gru81hd + gru82hd1 + gru82hd2 + gru83hd1 + gru83hd2 + gru83hd3 + gru84hd) + (sg42 + sg421 + sg422 + sg423 
    + sg42d + sg42d1 + sg42d2 + sg42d3))/(12*def[1,`d']*mieperho) if dominioA==`d'  & anio== 2013;
 } ;
    replace g01_pl= g01DH_pl+ g01FH_pl ;
    replace g00_pl=g01_pl + g02_pl + g03_pl + g04_pl + g05_pl + g06_pl + g07_pl + g08_pl ;
    ;
    label var g00_pl "Gasto percpita mensual(precios de Lima)" ;
    label var g01_pl "Alimentos(precios de Lima)" ;
    label var g02_pl "Vestido y calzado(precios de Lima)" ;
    label var g03_pl "Alquiler de vivienda y combustible(precios de Lima)" ;
    label var g04_pl "Muebles y enseres(precios de Lima)" ;
    label var g05_pl "Cuidados de la salud(precios de Lima)" ;
    label var g06_pl "Transporte y comunicaciones(precios de Lima)" ;
    label var g07_pl "Esparcimiento diversin y cultura(precios de Lima)" ;
    label var g08_pl "Otros gastos(precios de Lima)" ;
    label var g01DH_pl "Alimentos dentro del hogar(precios de Lima)" ;
    label var g01FH_pl "Alimentos fuera del hogar(precios de Lima)" ;
	;
 #delimit cr 
 
  *para el ao 2010
#delimit ;
set more off ;
;
 forvalue d=1(1)17{ ;
    replace g01DH_pl=(gru11hd + gru12hd1 + gru12hd2 + gru13hd1 + gru13hd2 + gru13hd3)/(12*def[1,`d']*mieperho) if dominioA==`d' & anio== 2010 ;
    replace g01FH_pl=((g05hd + g05hd1 + g05hd2 + g05hd3 + g05hd4 + g05hd5 + g05hd6 + ig06hd) + (sg23 + sig24) + (gru14hd + gru14hd1 +
	gru14hd2 + gru14hd3 + gru14hd4 + gru14hd5 + sg25 + sig26))/(12*def[1,`d']*mieperho) if dominioA==`d' ;
    replace g02_pl=(gru21hd + gru22hd1 + gru22hd2 + gru23hd1 + gru23hd2 + gru23hd3 + gru24hd)/(12*def[1,`d']*mieperho) if dominioA==`d'  & anio== 2010 ;
    replace g03_pl=(gru31hd + gru32hd1 + gru32hd2 + gru33hd1 + gru33hd2 + gru33hd3 + gru34hd)/(12*def[1,`d']*mieperho) if dominioA==`d'  & anio== 2010 ;
    replace g04_pl=(gru41hd + gru42hd1 + gru42hd2 + gru43hd1 + gru43hd2 + gru43hd3 + gru44hd)/(12*def[1,`d']*mieperho) if dominioA==`d'  & anio== 2010 ;
    replace g05_pl=(gru51hd + gru52hd1 + gru52hd2 + gru53hd1 + gru53hd2 + gru53hd3 + gru54hd)/(12*def[1,`d']*mieperho) if dominioA==`d'  & anio== 2010 ;
    replace g06_pl=(gru61hd + gru62hd1 + gru62hd2 + gru63hd1 + gru63hd2 + gru63hd3 + gru64hd + g07hd + ig08hd)/(12*def[1,`d']*mieperho) 
	if dominioA==`d'  & anio== 2010 ;
    replace g07_pl=(gru71hd + gru72hd1 + gru72hd2 + gru73hd1 + gru73hd2 + gru73hd3 + gru74hd)/(12*def[1,`d']*mieperho) if dominioA==`d'  & anio== 2010 ;
    replace g08_pl=((gru81hd + gru82hd1 + gru82hd2 + gru83hd1 + gru83hd2 + gru83hd3 + gru84hd) + (sg42 + sg421 + sg422 + sg423 
    + sg42d + sg42d1 + sg42d2 + sg42d3))/(12*def[1,`d']*mieperho) if dominioA==`d'  & anio== 2010 ;
 } ;
    replace g01_pl= g01DH_pl+ g01FH_pl ;
    replace g00_pl=g01_pl + g02_pl + g03_pl + g04_pl + g05_pl + g06_pl + g07_pl + g08_pl ;
    ;
    label var g00_pl "Gasto percpita mensual(precios de Lima)" ;
    label var g01_pl "Alimentos(precios de Lima)" ;
    label var g02_pl "Vestido y calzado(precios de Lima)" ;
    label var g03_pl "Alquiler de vivienda y combustible(precios de Lima)" ;
    label var g04_pl "Muebles y enseres(precios de Lima)" ;
    label var g05_pl "Cuidados de la salud(precios de Lima)" ;
    label var g06_pl "Transporte y comunicaciones(precios de Lima)" ;
    label var g07_pl "Esparcimiento diversin y cultura(precios de Lima)" ;
    label var g08_pl "Otros gastos(precios de Lima)" ;
    label var g01DH_pl "Alimentos dentro del hogar(precios de Lima)" ;
    label var g01FH_pl "Alimentos fuera del hogar(precios de Lima)" ;
	;
 #delimit cr 
 
 order  ao-GASTOS_REALES g00_pl g01_pl g01DH_pl g01FH_pl g02_pl g03_pl g04_pl g05_pl g06_pl g07_pl g08_pl 

 gen pobref=0 

    replace pobref =1 if g00_pl>=A[1,1] & g00_pl<=A[1,2] & anio==2010 
	replace pobref =1 if g00_pl>=A[2,1] & g00_pl<=A[2,2] & anio==2013 
 label var pobref "Poblacin de referencia" 

 matrix list A
 ************************
 *adiciona ver resultados
 gen muestok2 = g00_pl>0
 recode muestok2 (.=0)
 
  gen factornd07  = round(factor07*mieperho,1)
xtile Dgpcp0= g00_pl [fw=factornd07] if ao=="2010" & muestok2==1, n(100)
tab Dgpcp0 pobref 

xtile Dgpcmp13= g00_pl [fw=factornd07] if ao=="2013" & muestok2 ==1, n(100)
tab Dgpcmp13 pobref 
 
***************************

 save "sumaria-2010-2013-trabajo.dta", replace 
 
 keep ao conglome vivienda hogar mieperho facpob07 pobref 
 sort ao conglome vivienda hogar 
 save pobref, replace 

*********************************************************************
***         trabajando canasta
*********************************************************************
use "D:\pobreza-2013_new\bases\canasta20_40", clear
keep if  _n<=113
keep  Mvar Dvar TJprecio1- TJprecio7 TJgrpcd1-TJgrpcd7 valor1-valor7
save "canasta20_40-trabajos.dta", replace
gen cba=1 if Mvar!=.
drop if Mvar==.
rename Mvar transA
keep transA cba
label var cba "Productos seleccionados de la canasta de alimentos"
sort transA
save cba.dta, replace


************************************************************************************

set more off

   use "D:\pobreza-2013_new\bases\tabla_ali_industrial.dta", clear
   drop  descripcin industrializados agrcolapesca artesanal
   sort produc61
   save tempo.dta, replace
   *********************************************
  
   use "D:\pobreza-2013_new\_Actualizacion de la pobreza\BMOD_new\enaho-trans-2013.dta", clear
   sort produc61
   merge produc61 using tempo
     tab _m
     drop if _m==2
     drop _m

   **nos quedamos con solo los alimentos
   keep if trans>5590000000 & trans<6030000000
   drop if trans>5600000000 & trans<6010000000

   drop if ngast==0  /*se eliminan los bienes libres, inversin, es decir todos los bienes y servicios que no se incluyen en la nueva metodologa*/
   drop ngast

   **productos del cap 559 y 601 que se eliminan

   drop if trans==5590110300 /*se eliminan los animales vivos*/
   drop if trans==6010110300 /*se eliminan los animales vivos*/
   drop if trans>=5590130101 & trans<=5590130130 /*se eliminan bebidas alcohlicas*/
   drop if trans>=6010130101 & trans<=6010130130 /*se eliminan bebidas alcohlicas*/
   drop if trans>=5590190100 & trans<=5590190105 /*se eliminan los alimentos para animales de corral*/
   drop if trans>=6010190100 & trans<=6010190105 /*se eliminan los alimentos para animales de corral*/
   drop if trans>=5590510433 & trans<=5590514347 /*PVM,se eliminan las hierbas medicinales*/
   drop if trans>=6010510433 & trans<=6010514347 /*PVM,se eliminan las hierbas medicinales*/

   drop if trans>=5590000012 & trans<=5590000014 /*se eliminan desayuno en comedores populares*/
   drop if trans>=5590000022 & trans<=5590000024 /*se eliminan almuerzo en comedores populares*/
   drop if trans>=5590000032 & trans<=5590000034 /*se eliminan cena en comedores populares*/
   drop if trans>=5590000042 & trans<=5590000044 /*se eliminan otro en comedores populares*/
   drop if trans>=6020000000 & trans< 6030000000 /*se eliminan los alimentos en instituciones benficas*/

   **se eliminan los alimentos crudos cocinados en el centro de trabajo. Pregunta 559==
   drop if (trans==5590000016 | trans==5590000026 | trans==5590000036 | trans==5590000046) & (t559b==9 | t559b==21) & p559c==1
   
   
   drop  p559a-i559d p559c- pre2 p601_1-t601a7 p601bb1-p601bb3 i601cc- p600aaa preg frecu cantu gastu unidau unidad frec du559- bl601 

   tostring trans, gen(transac) format(%12.0g)

   ****Recomendaciones del rea de consistencia y depurado por metodologia

   replace  transac = "6010110054"   if transac == "6010110055"
   replace  transac = "6010110076"   if transac == "6010110061"
   replace  transac = "6010110074"   if transac == "6010110091"
   replace  transac = "6010110093"   if transac == "6010110097"
   replace  transac = "6010110101"   if transac == "6010110102"
   replace  transac = "6010110106"   if transac == "6010110105"
   replace  transac = "6010110108"   if transac == "6010110109"
   replace  transac = "6010110115"   if transac == "6010110114"
   replace  transac = "6010110126"   if transac == "6010110160"
   replace  transac = "6010110126"   if transac == "6010110125"
   replace  transac = "6010110139"   if transac == "6010110138"
   replace  transac = "6010110147"   if transac == "6010110146"
   replace  transac = "6010110150"   if transac == "6010110149"
   replace  transac = "6010110143"   if transac == "6010110135"
   replace  transac = "6010110143"   if transac == "6010110158"
   replace  transac = "6010110143"   if transac == "6010110161"
   replace  transac = "6010110210"   if transac == "6010110211"
   replace  transac = "6010110216"   if transac == "6010110218"
   replace  transac = "6010110235"   if transac == "6010110238"
   replace  transac = "6010110252"   if transac == "6010110251"
   replace  transac = "6010110256"   if transac == "6010110255"
   replace  transac = "6010110272"   if transac == "6010110275"
   replace  transac = "6010110521"   if transac == "6010110517"
   replace  transac = "6010110526"   if transac == "6010110533"
   replace  transac = "6010110553"   if transac == "6010110554"
   replace  transac = "6010110551"   if transac == "6010110552"
   replace  transac = "6010110551"   if transac == "6010110556"
   replace  transac = "6010110551"   if transac == "6010110558"
   replace  transac = "6010110559"   if transac == "6010110560"
   replace  transac = "6010110562"   if transac == "6010110563"
   replace  transac = "6010110564"   if transac == "6010110565"
replace  transac = "6010110620"   if transac == "6010110621"
replace  transac = "6010110625"   if transac == "6010110624"
replace  transac = "6010110640"   if transac == "6010110639"
replace  transac = "6010110640"   if transac == "6010110641"
replace  transac = "6010110655"   if transac == "6010110656"
replace  transac = "6010110650"   if transac == "6010110672"
replace  transac = "6010110654"   if transac == "6010110679"
replace  transac = "6010110802"   if transac == "6010110801"
replace  transac = "6010110802"   if transac == "6010110803"
replace  transac = "6010110828"   if transac == "6010110827"
replace  transac = "6010110822"   if transac == "6010110839"
replace  transac = "6010110823"   if transac == "6010110844"
replace  transac = "6010110903"   if transac == "6010110902"
replace  transac = "6010110924"   if transac == "6010110923"
replace  transac = "6010110928"   if transac == "6010110929"
replace  transac = "6010111110"   if transac == "6010111111"
replace  transac = "6010111214"   if transac == "6010111213"
replace  transac = "6010111249"   if transac == "6010111250"
replace  transac = "6010111251"   if transac == "6010111252"
replace  transac = "6010111253"   if transac == "6010111255"
replace  transac = "6010111259"   if transac == "6010111260"
replace  transac = "6010111283"   if transac == "6010111284"
replace  transac = "6010111288"   if transac == "6010111290"
replace  transac = "6010110052"   if transac == "6010110053"
replace  transac = "6010110118"   if transac == "6010110119"
replace  transac = "6010110126"   if transac == "6010110127"
replace  transac = "6010110142"   if transac == "6010110144"
replace  transac = "6010110235"   if transac == "6010110234"
replace  transac = "6010110235"   if transac == "6010110236"
replace  transac = "6010110235"   if transac == "6010110224"
replace  transac = "6010110256"   if transac == "6010110253"
replace  transac = "6010110256"   if transac == "6010110249"
replace  transac = "6010110256"   if transac == "6010110250"
replace  transac = "6010110451"   if transac == "6010110456"
replace  transac = "6010110607"   if transac == "6010110602"
replace  transac = "6010110607"   if transac == "6010110603"
replace  transac = "6010110607"   if transac == "6010110607"
replace  transac = "6010110607"   if transac == "6010110661"
replace  transac = "6010110607"   if transac == "6010110662"
replace  transac = "6010110607"   if transac == "6010110665"
replace  transac = "6010110607"   if transac == "6010110666"
replace  transac = "6010111296"   if transac == "6010111297"
replace  transac = "6010111288"   if transac == "6010111287"
replace  transac = "6010111282"   if transac == "6010111281"
replace  transac = "6010111248"   if transac == "6010111247"
replace  transac = "6010111238"   if transac == "6010111243"
replace  transac = "6010111238"   if transac == "6010111244"
replace  transac = "6010111110"   if transac == "6010111111"
replace  transac = "6010111110"   if transac == "6010111113"
replace  transac = "6010111110"   if transac == "6010111114"
replace  transac = "6010111004"   if transac == "6010111001"
replace  transac = "6010110745"   if transac == "6010110746"
replace  transac = "6010110737"   if transac == "6010110738"
replace  transac = "6010110737"   if transac == "6010110759"
replace  transac = "6010110737"   if transac == "6010110739"
replace  transac = "6010110737"   if transac == "6010110788" /*6010110737 por 6010110738 */
replace  transac = "6010110737"   if transac == "6010110739"
replace  transac = "6010110655"   if transac == "6010110657"
replace  transac = "6010110655"   if transac == "6010110664"
replace  transac = "6010110625"   if transac == "6010110667"
replace  transac = "6010110627"   if transac == "6010110626"
replace  transac = "6010110627"   if transac == "6010110628"
replace  transac = "6010110650"   if transac == "6010110651"
replace  transac = "6010111241"   if transac == "6010111242"
replace  transac = "6010110054"   if transac == "6010110057"
replace  transac = "6010110460"   if transac == "6010110453"
replace  transac = "6010110460"   if transac == "6010110454"
replace  transac = "6010110460"   if transac == "6010110458"
replace  transac = "6010110514"   if transac == "6010110513"
replace  transac = "6010110640"   if transac == "6010110670"
replace  transac = "6010110903"   if transac == "6010110901"
replace  transac = "6010110928"   if transac == "6010110916"
replace  transac = "6010111105"   if transac == "6010111104"
replace  transac = "6010110821"   if transac == "6010110804"
replace  transac = "6010110821"   if transac == "6010110805"
replace  transac = "6010110821"   if transac == "6010110811"
replace  transac = "6010110821"   if transac == "6010110806"
replace  transac = "6010110821"   if transac == "6010110808"
replace  transac = "6010110821"   if transac == "6010110813"
replace  transac = "6010110821"   if transac == "6010110814"
replace  transac = "6010110821"   if transac == "6010110815"
replace  transac = "6010110821"   if transac == "6010110816"
replace  transac = "6010110821"   if transac == "6010110817"
replace  transac = "6010110821"   if transac == "6010110818"
replace  transac = "6010110821"   if transac == "6010110819"
replace  transac = "6010110821"   if transac == "6010110820"
********************
replace transac = "5590000041"  if  transac == "5590000051"
replace transac = "5590000041"  if  transac == "5590000061"
replace transac = "5590000041"  if  transac == "5590000071"
replace transac = "5590000041"  if  transac == "5590000081"
replace transac = "5590000041"  if  transac == "5590000091"
replace transac = "5590000041"  if  transac == "5590000101"

replace transac = "5590000042"  if  transac == "5590000052"
replace transac = "5590000042"  if  transac == "5590000062"
replace transac = "5590000042"  if  transac == "5590000072"
replace transac = "5590000042"  if  transac == "5590000082"
replace transac = "5590000042"  if  transac == "5590000092"
replace transac = "5590000042"  if  transac == "5590000102"

replace transac = "5590000043"  if  transac == "5590000053"
replace transac = "5590000043"  if  transac == "5590000063"
replace transac = "5590000043"  if  transac == "5590000073"
replace transac = "5590000043"  if  transac == "5590000083"
replace transac = "5590000043"  if  transac == "5590000093"
replace transac = "5590000043"  if  transac == "5590000103"

replace transac = "5590000044"  if  transac == "5590000054"
replace transac = "5590000044"  if  transac == "5590000064"
replace transac = "5590000044"  if  transac == "5590000074"
replace transac = "5590000044"  if  transac == "5590000084"
replace transac = "5590000044"  if  transac == "5590000094"
replace transac = "5590000044"  if  transac == "5590000104"

replace transac = "5590000045"  if  transac == "5590000055"
replace transac = "5590000045"  if  transac == "5590000065"
replace transac = "5590000045"  if  transac == "5590000075"
replace transac = "5590000045"  if  transac == "5590000085"
replace transac = "5590000045"  if  transac == "5590000095"
replace transac = "5590000045"  if  transac == "5590000105"

replace transac = "5590000046"  if  transac == "5590000056"
replace transac = "5590000046"  if  transac == "5590000066"
replace transac = "5590000046"  if  transac == "5590000076"
replace transac = "5590000046"  if  transac == "5590000086"
replace transac = "5590000046"  if  transac == "5590000096"
replace transac = "5590000046"  if  transac == "5590000106"

**********************
*recodificando colorantes y condimentos

replace transac="6010514303" if transac=="6010514306" | transac=="6010514307" | transac=="6010514309" /*
    */| transac=="6010514310" | transac=="6010514311" | transac=="6010514312" | transac=="6010514314" | transac=="6010514315" /*
    */| transac=="6010514316" | transac=="6010514318" | transac=="6010514319" | transac=="6010514320" /*
    */| transac=="6010514321" | transac=="6010514322" | transac=="6010514323" | transac=="6010514324" | transac=="6010514325" /*
    */| transac=="6010514326" | transac=="6010514327" | transac=="6010514328" | transac=="6010514329" | transac=="6010514331" /*
    */| transac=="6010514332" | transac=="6010514335" | transac=="6010514337" | transac=="6010514338" | transac=="6010514339" /*
    */| transac=="6010514341" | transac=="6010514342" | transac=="6010514344" /*
    */| transac=="6010111116" | transac=="6010110637" | transac=="6010110630" | transac=="601011126" 
replace transac = "6010111292" if transac == "6010111293" | transac=="6010111295" | transac== "6010111298"
****************************************************************************
****imputando cantidades
****************************************************************************
gen double transA=real(transac)
format transA %12.0f

**aadiendo variables de la sumaria

sort ao conglome vivienda hogar
merge ao conglome vivienda hogar using pobref
tab _m
drop if _m==2
drop _m

**anadiendo variables de la tabla de composicin de alimentos
sort produc61
merge produc61 using "D:\pobreza-2013_new\bases\tablacompalimentos_nmt_2010.dta"
tab _m
drop if _m==2
drop _m

*******
gen area=1 if estrato<=5
replace area=2 if estrato>=6

gen     dominio2=1 if dominio>=1 & dominio<=3 & area==1
replace dominio2=2 if dominio>=1 & dominio<=3 & area==2
replace dominio2=3 if dominio>=4 & dominio<=6 & area==1
replace dominio2=4 if dominio>=4 & dominio<=6 & area==2
replace dominio2=5 if dominio==7 & area==1
replace dominio2=6 if dominio==7 & area==2
replace dominio2=7 if dominio==8
label var dominio2 "dominios de estudio"

***recodificando lugares de adquisicin de alimentos dentro del hogar y fuera
egen lugadq=rowtotal(p559b p601bb4)

recode lugadq (1=1) (5=2) (6=3) (2/4=4) if transA<6010000000
*recode lugadq (1 5 6 9 10=1) (2 3 4 7 8=2)(11=3) if transA>6010000000
label var lugadq "lugar de adquisicin de los alimentos fuera del hogar"
*1 ambulante 2 restaurante 3 otro-centro trabajo 4 comed-popular*/

***creando el tipo de comida

replace tipcomida=1 if transA>=5590000011 & transA<=5590000016
replace tipcomida=2 if transA>=5590000021 & transA<=5590000026
replace tipcomida=3 if transA>=5590000031 & transA<=5590000036
replace tipcomida=4 if transA>=5590000041 & transA<=5590000046

save "enaho-trans-2013-canasta.dta", replace
*************************************************************
**aadiendo identificador de productos de la CBA
*************************************************************
*do "Programa4-Calculando peso de racin en gramos de la 559"
*************************************************************
sort dominio2 tipcomida
merge dominio2 tipcomida using "D:\pobreza-2013_new\bases\RacinKgM"
tab _m
drop if _m==2
drop _m

**reemplazando cantidades
replace canta=canta*RacinKgM if montoa!=. & canta!=. & transA<6010000000

**precios
gen precio=montoa/canta if canta>0 & canta!=.
gen precioR=round(precio,.1) if precio!=.
label var precio "valores unitarios"
label var precioR "valores unitarios redondeados a 1 decimal"

  ***pegando productos de la canasta
  sort transA
  merge transA using cba
  tab _m
  rename _m cba_ns 
  label define cba_ns 1 no_selecionados 2 no_estan 3 estan
  label var cba_ns "merge trans y cba"
  replace cba=0 if cba==.

  ***identificando a los productos de la CBA que no estn en la poblacin de referencia 2013

  gen     cba_nopobref=1 if pobref==1 & cba==1
  replace cba_nopobref=2 if pobref==0 & cba==1
  replace cba_nopobref=3 if pobref==1 & cba==0
  label define cba_nopobref 1 "esta en cba y pobref" 2 "est en cba y no pobref" 3 "est en pobref y no cba"
  label val cba_nopobref cba_nopobref 
  
  save "enaho-trans-2013-canasta.dta", replace

**********************************************************************
*********POBLACION DE REFERENCIA PORCESO INTERATIVO DE RAVALLION
**********************************************************************
  use "enaho-trans-2013-canasta.dta", clear
  set more off
  
  keep if cba_nopobref==1          /*POBLACION DE REFERENCIA y PRODUCTOS DE LA CANASTA */

  *************************************************************************
  ***modas, nmero de casos de la moda y kurtosis
    keep  ao conglome vivienda hogar transA dominio2 factor07 precioR precio
    *expand factor
    sort dominio2 transA
    forvalue d=1(1)7 {
       egen precMo`d'_13=mode(precioR) if dominio2==`d' & precioR>0 & precioR != ., by(transA) maxmode
	   egen counMo`d'_13=count(precMo`d') if dominio2==`d' & precMo`d'==precioR, by(transA)
	   egen precKu`d'_13=kurt(precio) if dominio2==`d' & precio>0 & precio!=. , by(transA)
    }
    sort ao conglome vivienda hogar transA 
    collapse (min) precMo1-precKu7, by(transA)
    order transA precMo1_13 precMo2_13 precMo3_13 precMo4_13 precMo5_13 precMo6_13 precMo7_13 counMo1_13 counMo2_13 counMo3_13 counMo4_13 counMo5_13 counMo6_13 counMo7_13 precKu1_13 precKu2_13 precKu3_13 precKu4_13 precKu5_13 precKu6_13 precKu7_13
    rename transA Mvar
    sort Mvar  
    save moda, replace
  
  ***********************************************************
  use "enaho-trans-2013-canasta.dta", clear
  set more off
  tab cba_nopobref, gen(cba_nop)
	
  keep if cba_nopobref==1            /*POBLACION DE REFERENCIA */
    ************************************************
  **diseo de muestreo
  set more off
  gen ncaso=precio>0 & precio!=.
  
    collapse (sum) ncaso, by (dominio2 transA)
	sort dominio2 transA

	forvalue d=1(1)7 {
     preserve
	    keep if dominio2==`d'
        keep transA ncaso
		rename ncaso ncaso`d'_13
	    sort transA
	    save tempo`d', replace
	 restore
  }
  use tempo1, clear
  forvalue d=2(1)7{
     sort transA
      merge transA using tempo`d'
	  tab _m
	  drop if _m==2
	  drop _m
  }
  rename transA Mvar
  sort Mvar
  save ncaso, replace
  
  use "enaho-trans-2013-canasta.dta", clear
  set more off
  tab cba_nopobref, gen(cba_nop)
	
  keep if cba_nopobref==1     /*POBLACION DE REFERENCIA */
    ************************************************
  **diseo de muestreo
  set more off
  svyset [w=facpob07], psu(conglome) strata(estrato)
  
  gen precioP=precio
  gen precioM=precio	
  collapse (mean) precioP (median) precioM [fw=facpob07],by(dominio2 transA)
  sort dominio2 transA
  
  forvalue d=1(1)7 {
     preserve
	    keep if dominio2==`d'
        keep transA precioP precioM 
		rename precioP precioP`d'_13
		rename precioM precioM`d'_13
		sort transA
	    save tempo`d', replace
	 restore
  }
  use tempo1, clear
  forvalue d=2(1)7{
      sort transA
      merge transA using tempo`d'
	  tab _m
	  drop if _m==2
	  drop _m
  }
  rename transA Mvar
  sort Mvar
  save preciodominio2, replace

  ************precios por area***************************
  use "enaho-trans-2013-canasta.dta", clear
  set more off
  tab cba_nopobref, gen(cba_nop)
	
  keep if cba_nopobref==2   /*POBLACION DE REFERENCIA */
    *****************************************************
  **diseo de muestreo
  set more off
  svyset [w=facpob07], psu(conglome) strata(estrato)
  gen ncaso=precio>0 & precio!=.
 
  gen TprecioM=precio
  
  collapse (median) TprecioM [fw=facpob07],by(area transA)
  sort area transA
  
  forvalue d=1(1)2 {
     preserve
	    keep if area==`d'
        keep transA TprecioM
		rename TprecioM TprecioM`d'_13
	    sort transA
	    save tempo`d', replace
	 restore
  }
  use tempo1, clear
  merge transA using tempo2
  tab _m
  drop if _m==2
  drop _m

  rename transA Mvar
  sort Mvar
  save precioarea, replace
  
  use "canasta20_40-trabajos.dta", clear
  sort Mvar
  merge Mvar using ncaso
  tab _m
  drop if _m==2
  drop _m
  
  sort Mvar
  merge Mvar using preciodominio2
  tab _m
  drop if _m==2
  drop _m
  
  order Mvar-valor7 ncaso1_13 ncaso2_13 ncaso3_13 ncaso4_13 ncaso5_13 ncaso6_13 ncaso7_13 /*
  */    precioM1_13 precioM2_13 precioM3_13 precioM4_13 precioM5_13 precioM6_13 precioM7_13/*
  */    precioP1_13 precioP2_13 precioP3_13 precioP4_13 precioP5_13 precioP6_13 precioP7_13
  
  sort Mvar
  merge Mvar using precioarea
  tab _m
  drop if _m==2
  drop _m
  
  sort Mvar
  merge Mvar using moda
  tab _m
  drop if _m==2
  drop _m
  
 forvalue d=1(1)7 {
    gen PcounMo`d'_13=.
 }
  ***generando indicador de porcentaje de casos con que se contruy la moda

 forvalue d=1(1)7 {
	  replace PcounMo`d'_13=(counMo`d'_13/ncaso`d'_13)*100 if Mvar!=.
 }
  ***************************
  ***calculando precios******
  ***************************
    forvalue d=1(1)7 {
	  gen TJprecio`d'_13=0 if (TJprecio`d'>0 & TJprecio`d'!=.) & (TJgrpcd`d'>0 & TJgrpcd`d'!=.) & Mvar!=.
	  gen Tajupre`d'_13=0 if (TJprecio`d'>0 & TJprecio`d'!=.) & (TJgrpcd`d'>0 & TJgrpcd`d'!=.) & Mvar!=.
    } 
    forvalue d=1(1)7 {
	   replace TJprecio`d'_13=precMo`d'_13 if Mvar!=. & ncaso`d'_13>=30 & ncaso`d'_13!=. & PcounMo`d'_13>=50 & PcounMo`d'_13!=.
	   replace Tajupre`d'_13=1 if Mvar!=. & ncaso`d'_13>=30 & ncaso`d'_13!=. & PcounMo`d'_13>=50 & PcounMo`d'_13!=.
	   
	   replace TJprecio`d'_13=precioM`d'_13 if Mvar!=. & ncaso`d'_13>=30 & ncaso`d'_13!=. & TJprecio`d'_13==0 & PcounMo`d'_13<50 & (precMo`d'_13-precioM`d'_13)*100/precioM`d'_13<= 15
	   replace Tajupre`d'_13=2 if Mvar!=. & ncaso`d'_13>=30 & ncaso`d'_13!=. & Tajupre`d'_13==0 & PcounMo`d'_13<50 &(precMo`d'_13-precioM`d'_13)*100/precioM`d'_13<= 15
	   
	   replace TJprecio`d'_13=precioM`d'_13 if Mvar!=. & ncaso`d'_13>=30 & ncaso`d'_13!=. & TJprecio`d'_13==0 & PcounMo`d'_13<50 & (precMo`d'_13-precioM`d'_13)*100/precioM`d'_13> 15 & precKu`d'_13>=4
	   replace Tajupre`d'_13=3 if Mvar!=. & ncaso`d'_13>=30 & ncaso`d'_13!=. & Tajupre`d'_13==0 & PcounMo`d'_13<50 &(precMo`d'_13-precioM`d'_13)*100/precioM`d'_13 > 15 & precKu`d'_13>=4
	   
	   replace TJprecio`d'_13=precioM`d'_13 if Mvar!=. & ncaso`d'_13>=30 & ncaso`d'_13!=. & TJprecio`d'_13==0 & PcounMo`d'_13<50 & (precioM`d'_13-precioM`d'_13)*100/precioM`d'_13> 15 & precKu`d'_13<4
	   replace Tajupre`d'_13=4 if Mvar!=. & ncaso`d'_13>=30 & ncaso`d'_13!=. & Tajupre`d'_13==0 & PcounMo`d'_13<50 & (precMo`d'_13-precioM`d'_13)*100/precioM`d'_13> 15 & precKu`d'_13<4
	}
	order  Mvar- PcounMo7_13  TJprecio1_13  TJprecio2_13   TJprecio3_13  TJprecio4_13  TJprecio5_13  TJprecio6_13  TJprecio7_13
	 
	forvalue d=1(2)7 { 
	   replace TJprecio`d'_13=TprecioM1_13 if (TJprecio`d'_13==0 | TJprecio`d'_13==.) & (TJgrpcd`d'>0 & TJgrpcd`d'!=.) & Mvar!=.
   	   replace Tajupre`d'_13=5 if Mvar!=. & (Tajupre`d'_13==0 | Tajupre`d'_13==.) & (TJgrpcd`d'>0 & TJgrpcd`d'!=.) & Mvar!=.
   }
   	forvalue d=2(2)6 { 
	   replace TJprecio`d'_13=TprecioM2_13 if (TJprecio`d'_13==0 | TJprecio`d'_13==.) & (TJgrpcd`d'>0 & TJgrpcd`d'!=.) & Mvar!=.
   	   replace Tajupre`d'_13=5 if Mvar!=. & (Tajupre`d'_13==0 | Tajupre`d'_13==.) & (TJgrpcd`d'>0 & TJgrpcd`d'!=.) & Mvar!=.
   }
 ***calculando el valor de la canasta 
  
  forvalue d=1(1)7 {
     gen valor`d'_13=(TJgrpcd`d'*TJprecio`d'_13)/1000 if Mvar!=.
  }
  forvalue d=1(1)7 {
 	 total valor`d'_13 if Mvar!=.
 	 replace valor`d'_13=r(b) if _n==111
	 replace valor`d'_13=30*valor`d'_13[111] if _n==112
 	 replace valor`d'_13=(1/EG20_40[`d',2])*valor`d'_13[112] if _n==113
  }
  ****con todas las lneas de la canasta
   mkmat valor1-valor7 if _n==113, matrix(LP_10) 
   mkmat valor1-valor7 if _n==112, matrix(LE_10)
   mkmat valor1_13-valor7_13 if _n==113, matrix(LP_13) 
   mkmat valor1_13-valor7_13 if _n==112, matrix(LE_13) 
   
   save, replace

    matrix LE=LE_10\LE_13
   matrix LP=LP_10\LP_13
   matrix list LE
   matrix list LP
   
   set more off
   *********************
   
   use "D:\pobreza-2013_new\bases\ipc_base_2009NH.dta", clear
   gen anio=real(ao)
   rename mes smes
   gen mes=real(smes)
   drop smes
   keep if anio==2010
   *se elimina tarapoto que inicio el 2009
   drop if ubigeo =="220901"
   *para octeenr el deflactor de los ultimos 9 meses
drop if anio==2013 & mes>=10
**********
   gen dpto=real(substr(ubigeo,1,2))
   
   foreach n of varlist i00 i01 i02 i03 i04 i05 i06 i07 i08 {
      replace `n'=(`n'*ponderad)/100
   }
   collapse (sum) i00 i01 i02 i03 i04 i05 i06 i07 i08, by(mes dpto)
   collapse (mean) i00 i01 i02 i03 i04 i05 i06 i07 i08, by(dpto)
   
   forvalue i=0(1)8 {
      rename i0`i' i0`i'_10
   }
   sort dpto
   save ipc10, replace
   
   use "sumaria-2010-2013-trabajo.dta", clear
   sort dpto
   merge dpto using ipc10
   tab _m
   drop if _m==2
   drop _m
   
   set more off
   gen linpeN10=.
   gen lineaN10=.

   forvalue d=1(1)7 {
         replace linpeN10=LE[1,`d'] if dominio2==`d'
         replace lineaN10=LP[1,`d'] if dominio2==`d'
   }	
***********************************
***IPC ALIMENTARIO Y NO ALIMENTARIO estructura de gasto de la pob de referencia
  gen ipcali=i01/i01_10
  
 gen ipcnal=((0.051653352*i02/i02_10) + (0.128665697*i03/i03_10) + (0.033424569*i04/i04_10) +(0.071395743*i05/i05_10) + (0.081773288*i06/i06_10) + (0.055037355*i07/i07_10) + (0.047420921*i08/i08_10) )/0.469370927
  
  label var ipcnal "Indice de precio no alimentario estructura ao base 2010"

***********************************
   gen linpeN=.

     forvalue d=1(1)7 {
         replace linpeN=LE[1,`d'] if dominio2==`d' & anio==2010
		  replace linpeN=LE[2,`d'] if dominio2==`d' & anio==2013
      } 
    
gen linnalN =(lineaN10-linpeN10)*ipcnal if anio<=2013
gen lineaN  =linnalN+linpeN if anio <=2013
   
   gen muestok=gashog2d>0
   gen gpcm=gashog2d/(mieperho*12) if anio>=2004 & anio <=2013
 
   gen pobre  = gpcm<lineaN if gpcm>0
   gen pobrext= gpcm> 0 & gpcm<linpeN
   
    gen pobreza1013 = 1 if gpcm < linpeN
replace pobreza1013 = 2 if  gpcm >=  linpeN  & gpcm < lineaN
replace pobreza1013 = 3 if gpcm >=  lineaN

************************************************
*para el calculo de la linea de alimento con IPC
gen linpeipc = linpeN10*ipcali 
gen lineaipc = linnalN+linpeipc

gen pobrei=gpcm<lineaipc if gpcm>0
   gen pobrexti=gpcm> 0 & gpcm<linpeipc
************************************************
 replace estrato=1 if dominio==8
gen areag = dominio == 8
replace areag = 2 if dominio >= 1 & dominio <= 7 & estrato >= 1 & estrato <= 5
replace areag = 3 if dominio >= 1 & dominio <= 7 & estrato >= 6 & estrato <= 8
lab define areag 1 "Lima_Metro" 2 "Resto_Urbano" 3 "Rural" 
label values areag  areag

label define region 1 costa 2 sierra_urb 3 selva
label value region region

label define dominio2 1 costa_urb 2 costa_rur 3 sierra_urb 4 sierra_rur 5 selva_urb 6 selva_rur 7 lima_met
label value dominio2 dominio2

gen aniorec= real(ao)

save "sumaria-2010-2013-trabajo.dta", replace 


use "sumaria-2010-2013-trabajo.dta",clear
log close

log using "D:\Pobreza-2013_new\_Actualizacion de la pobreza\trabajo\salida-pobrezatxtsinsobrenueva.log", replace

**************LINEA DE POBREZA****************


svy:mean lineaN if aniorec>= 2013, over(aniorec)
svy:mean lineaN if aniorec>= 2013, over(area)
svy:mean lineaN if aniorec>= 2013, over(areag)
svy:mean lineaN if aniorec>= 2013, over(region)
svy:mean lineaN if aniorec>= 2013, over(dominio2)
svy:mean lineaN if aniorec>= 2013, over(dpto)

svy:mean linpeN if aniorec>= 2013, over(aniorec)
svy:mean linpeN if aniorec>= 2013, over(area)
svy:mean linpeN if aniorec>= 2013, over(areag)
*svy:mean linpeN if aniorec>= 2013, over(region)
svy:mean linpeN if aniorec>= 2013, over(dominio2)
svy:mean linpeN if aniorec>= 2013, over(dpto)

**************INCIDENCIA DE POBREZA**************
svy:mean pobre if aniorec>= 2012, over(aniorec)
svy:mean pobre if aniorec>= 2013, over(area)
svy:mean pobre if aniorec>= 2013, over(areag)
svy:mean pobre if aniorec>= 2013, over(region)
svy:mean pobre if aniorec>= 2013, over(dominio2)
svy:mean pobre if aniorec>= 2013, over(dpto)

svy:mean pobrext if aniorec>= 2013, over(aniorec)
svy:mean pobrext if aniorec>= 2013, over(area)
svy:mean pobrext if aniorec>= 2013, over(areag)
svy:mean pobrext if aniorec>= 2013, over(region)
svy:mean pobrext if aniorec>= 2013, over(dominio2)
svy:mean pobrext if aniorec>= 2013, over(dpto)
***************linea ipc*********************************

svy:mean lineaipc if aniorec>= 2013, over(aniorec)
svy:mean lineaipc if aniorec>= 2013, over(area)
svy:mean lineaipc if aniorec>= 2013, over(areag)
svy:mean lineaipc if aniorec>= 2013, over(region)
svy:mean lineaipc if aniorec>= 2013, over(dominio2)
svy:mean lineaipc if aniorec>= 2013, over(dpto)


svy:mean linpeipc if aniorec>= 2013, over(aniorec)
svy:mean linpeipc if aniorec>= 2013, over(area)
svy:mean linpeipc if aniorec>= 2013, over(areag)
svy:mean linpeipc if aniorec>= 2013, over(region)
svy:mean linpeipc if aniorec>= 2013, over(dominio2)
svy:mean linpeipc if aniorec>= 2013, over(dpto)
*************INCIDENCIA DE POBREZA IPC**************
svy:mean pobrei if aniorec>= 2013, over(aniorec)
svy:mean pobrei if aniorec>= 2013, over(area)
svy:mean pobrei if aniorec>= 2013, over(areag)
svy:mean pobrei if aniorec>= 2013, over(region)
svy:mean pobrei if aniorec>= 2013, over(dominio2)
svy:mean pobrei if aniorec>= 2013, over(dpto)

svy:mean pobrexti if aniorec>= 2013, over(aniorec)
svy:mean pobrexti if aniorec>= 2013, over(area)
svy:mean pobrexti if aniorec>= 2013, over(areag)
svy:mean pobrexti if aniorec>= 2013, over(region)
svy:mean pobrexti if aniorec>= 2013, over(dominio2)
svy:mean pobrexti if aniorec>= 2013, over(dpto)
************************************************

gen pobreza1 = 1 if gpcm < linpe
replace pobreza1 =2 if gpcm >= linpe & gpcm <linea
replace pobreza1=3 if gpcm >= linea

